org.jgrapht.alg

## Class EdmondsKarpMaximumFlow<V,E>

- java.lang.Object
- - org.jgrapht.alg.EdmondsKarpMaximumFlow<V,E>

- All Implemented Interfaces:
    MaximumFlowAlgorithm<V,E>

  Deprecated.
  Use `EdmondsKarpMaximumFlow` instead

      @Deprecated
      public final class EdmondsKarpMaximumFlow<V,E>
      extends Object
      implements MaximumFlowAlgorithm<V,E>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jgrapht.alg.interfaces.MaximumFlowAlgorithm

      `MaximumFlowAlgorithm.MaximumFlow<V,E>, MaximumFlowAlgorithm.MaximumFlowImpl<V,E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_EPSILON` Deprecated. Default tolerance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmondsKarpMaximumFlow(DirectedGraph<V,E> network)` Deprecated. Constructs `MaximumFlow` instance to work with a copy of `network`.
    `EdmondsKarpMaximumFlow(DirectedGraph<V,E> network, double epsilon)` Deprecated. Constructs `MaximumFlow` instance to work with a copy of `network`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MaximumFlowAlgorithm.MaximumFlow<V,E>` | `buildMaximumFlow(V source, V sink)` Deprecated. Builds maximum flow for the supplied network flow, for the supplied ${source} and ${sink}
    `void` | `calculateMaximumFlow(V source, V sink)` Deprecated. Sets current source to `source`, current sink to `sink`, then calculates maximum flow from `source` to `sink`.
    `V` | `getCurrentSink()` Deprecated. Returns current sink vertex, or `null` if there was no `calculateMaximumFlow` calls.
    `V` | `getCurrentSource()` Deprecated. Returns current source vertex, or `null` if there was no `calculateMaximumFlow` calls.
    `Map<E,Double>` | `getMaximumFlow()` Deprecated. Returns maximum flow, that was calculated during last `calculateMaximumFlow` call, or `null`, if there was no `calculateMaximumFlow` calls.
    `Double` | `getMaximumFlowValue()` Deprecated. Returns maximum flow value, that was calculated during last `calculateMaximumFlow` call, or `null`, if there was no `calculateMaximumFlow` calls.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_EPSILON

          public static final double DEFAULT_EPSILON

      Deprecated.
      Default tolerance.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EdmondsKarpMaximumFlow

          public EdmondsKarpMaximumFlow(DirectedGraph<V,E> network)

      Deprecated.
      Constructs `MaximumFlow` instance to work with a copy of `network`. Current source and sink are set to `null`. If `network` is weighted, then capacities are weights, otherwise all capacities are equal to one. Doubles are compared using `DEFAULT_EPSILON` tolerance.
      Parameters:
        `network` - network, where maximum flow will be calculated

    - #### EdmondsKarpMaximumFlow

          public EdmondsKarpMaximumFlow(DirectedGraph<V,E> network,
                                double epsilon)

      Deprecated.
      Constructs `MaximumFlow` instance to work with a copy of `network`. Current source and sink are set to `null`. If `network` is weighted, then capacities are weights, otherwise all capacities are equal to one.
      Parameters:
        `network` - network, where maximum flow will be calculated
        `epsilon` - tolerance for comparing doubles

  - ### Method Detail

    - #### calculateMaximumFlow

          public void calculateMaximumFlow(V source,
                                  V sink)

      Deprecated.
      Sets current source to `source`, current sink to `sink`, then calculates maximum flow from `source` to `sink`. Note, that `source` and `sink` must be vertices of the `network` passed to the constructor, and they must be different.
      Parameters:
        `source` - source vertex
        `sink` - sink vertex

    - #### getMaximumFlowValue

          public Double getMaximumFlowValue()

      Deprecated.
      Returns maximum flow value, that was calculated during last `calculateMaximumFlow` call, or `null`, if there was no `calculateMaximumFlow` calls.
      Returns:
        maximum flow value

    - #### getMaximumFlow

          public Map<E,Double> getMaximumFlow()

      Deprecated.
      Returns maximum flow, that was calculated during last `calculateMaximumFlow` call, or `null`, if there was no `calculateMaximumFlow` calls.
      Returns:
        read-only mapping from edges to doubles - flow values

    - #### getCurrentSource

          public V getCurrentSource()

      Deprecated.
      Returns current source vertex, or `null` if there was no `calculateMaximumFlow` calls.
      Returns:
        current source

    - #### getCurrentSink

          public V getCurrentSink()

      Deprecated.
      Returns current sink vertex, or `null` if there was no `calculateMaximumFlow` calls.
      Returns:
        current sink

    - #### buildMaximumFlow

          public MaximumFlowAlgorithm.MaximumFlow<V,E> buildMaximumFlow(V source,
                                                               V sink)

      Deprecated.
      Description copied from interface: `MaximumFlowAlgorithm`
      Builds maximum flow for the supplied network flow, for the supplied ${source} and ${sink}
      Specified by:
        `buildMaximumFlow` in interface `MaximumFlowAlgorithm<V,E>`
      Parameters:
        `source` - source of the flow inside the network
        `sink` - sink of the flow inside the network
      Returns:
        maximum flow

Copyright © 2016. All rights reserved.